Subject: Re: [PATCH v2 10/13] mwifiex: re-fix for unaligned accesses

From: Kalle Valo <[email-masked]>
Date: Sat, 15 May 2021 21:23:51 +0300

Arnd Bergmann <[email-masked]> writes:

> On Sat, May 15, 2021 at 8:22 AM Kalle Valo <[email-masked]> wrote:
>> Arnd Bergmann <[email-masked]> writes:
>> > From: Arnd Bergmann <[email-masked]>
>> >
>> > A patch from 2017 changed some accesses to DMA memory to use
>> > get_unaligned_le32() and similar interfaces, to avoid problems
>> > with doing unaligned accesson uncached memory.
>> >
>> > However, the change in the mwifiex_pcie_alloc_sleep_cookie_buf()
>> > function ended up changing the size of the access instead,
>> > as it operates on a pointer to u8.
>> >
>> > Change this function back to actually access the entire 32 bits.
>> > Note that the pointer is aligned by definition because it came
>> > from dma_alloc_coherent().
>> >
>> > Fixes: 92c70a958b0b ("mwifiex: fix for unaligned reads")
>> > Signed-off-by: Arnd Bergmann <[email-masked]>
>>
>> Via which tree should this go? I assume it will go via some other tree
>> so:
>>
>> Acked-by: Kalle Valo <[email-masked]>
>
> I have queued the series in the asm-generic tree for 5.14, as the patches
> that depend on this one are a little too invasive for 5.13 at this point.
>
> If you think this fix should be in 5.13, please take it through your tree.

I think v5.14 is more approriate, so please take this via your tree.
Thanks.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches